|  | Home · All Classes · Modules

# QSwipeGesture Class Reference
[QtGui module]

The QSwipeGesture class describes a swipe gesture made by the user. More...

Inherits QGesture.

### Types

- enum SwipeDirection { NoDirection, Left, Right, Up, Down }

### Methods

- __init__ (self, QObject parent = None)
- SwipeDirection horizontalDirection (self)
- setSwipeAngle (self, float value)
- float swipeAngle (self)
- SwipeDirection verticalDirection (self)

## Detailed Description

The QSwipeGesture class describes a swipe gesture made by the user.

For an overview of gesture handling in Qt and information on using gestures in your applications, see the Gestures Programming document.

## Type Documentation

### QSwipeGesture.SwipeDirection

This enum describes the possible directions for the gesture's motion along the horizontal and vertical axes.

Constant | Value | Description
--- | --- | ---
`QSwipeGesture.NoDirection` | `0` | The gesture had no motion associated with it on a particular axis.
`QSwipeGesture.Left` | `1` | The gesture involved a horizontal motion to the left.
`QSwipeGesture.Right` | `2` | The gesture involved a horizontal motion to the right.
`QSwipeGesture.Up` | `3` | The gesture involved an upward vertical motion.
`QSwipeGesture.Down` | `4` | The gesture involved a downward vertical motion.

## Method Documentation

### QSwipeGesture.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

### SwipeDirection QSwipeGesture.horizontalDirection (self)

### QSwipeGesture.setSwipeAngle (self, float value)

### float QSwipeGesture.swipeAngle (self)

### SwipeDirection QSwipeGesture.verticalDirection (self)